## cgal 4.14

=== debian/changelog ===
cgal (4.14-5) unstable; urgency=medium

  * Strip -ffile-prefix-map=... and -fmacro-prefix-map=... from
    CGALConfig.cmake to avoid false positives in reproducible builds report.

 -- Joachim Reichel <reichel@debian.org>  Sat, 24 Aug 2019 14:19:03 +0200

cgal (4.14-4) unstable; urgency=medium

  * Add version constraint for libCGAL_ImageIO in libcgal13.shlibs.
    Thanks to Drew Parsons (Closes: #934179).

 -- Joachim Reichel <reichel@debian.org>  Thu, 08 Aug 2019 18:45:45 +0200

cgal (4.14-3) unstable; urgency=medium

  * Upload to unstable.
  * Update Standards-Version to 4.4.0 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Sat, 27 Jul 2019 10:39:40 +0200

cgal (4.14-2) experimental; urgency=medium

  * Fix stripping of -fdebug-prefix-map=... on non-amd64 architectures.

 -- Joachim Reichel <reichel@debian.org>  Fri, 29 Mar 2019 20:33:09 +0100

cgal (4.14-1) experimental; urgency=medium

  * New upstream release.
  * Rename binary package libcgal-qt5-13 to libcgal-qt5-14 to reflect
    SONAME change.
  * Add Rules-Requires-Root: no to debian/control.
  * Strip -fdebug-prefix-map=... from CGALConfig.cmake to avoid false
    positives in reproducible builds report.
  * Update Standards-Version to 4.3.0 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Fri, 29 Mar 2019 18:23:00 +0100
