=== debian/changelog ===
cgal (5.0-5) unstable; urgency=medium

  * Add patch disable-fpu-rounding-mode-check-for-mipsel-and-mips64el.

 -- Joachim Reichel <reichel@debian.org>  Sat, 07 Dec 2019 14:33:54 +0100

cgal (5.0-4) unstable; urgency=medium

  * Fix test failure in rounding_modes_cgal.cpp: backup the FPU state at
    the very beginning of main() to prevent failure on mipsel and mips64el.

 -- Joachim Reichel <reichel@debian.org>  Thu, 05 Dec 2019 21:14:01 +0100

cgal (5.0-3) unstable; urgency=medium

  * Upload to unstable.
  * Move debian/source.lintian-overrides to debian/source/lintian-overrides.

 -- Joachim Reichel <reichel@debian.org>  Tue, 03 Dec 2019 21:59:43 +0100

cgal (5.0-2) experimental; urgency=medium

  * Add libcgal-dev.maintscript to convert the symbolic link
    /usr/share/doc/libcgal-dev into a directory (Closes: #945341).
  * Add patch improve-thirdparty-autodetection.

 -- Joachim Reichel <reichel@debian.org>  Sat, 23 Nov 2019 10:41:42 +0100

cgal (5.0-1) experimental; urgency=medium

  * New upstream release (Closes: #944361).
  * Drop binary packages binary packages libcgal13 and libcgal-qt5-14 due to
    the header-only mode now being the default.
  * Update debian/tests/rounding_modes_cgal.cpp to restore rounding mode
    before exit.
  * Drop TESTS_IEEE_FPU_OPTION variable (does not work anyway).
  * Add lib3mf-dev, libboost-filesystem-dev, libboost-iostreams-dev,
    libboost-serialization-dev, libglpk-dev, libmetis-dev, and libvtk6-dev
    to Suggests: of libcgal-demo.
  * Update Standards-Version to 4.4.1 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Sat, 09 Nov 2019 10:58:26 +0100
